# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

config etc/default/splashy.new
config etc/splashy/config.xml.new

( cd sbin ; rm -rf splashy_chvt )
( cd sbin ; ln -sf splashy splashy_chvt )
( cd lib ; rm -rf libsplashycnf.so.1 )
( cd lib ; ln -sf libsplashycnf.so.1.0.0 libsplashycnf.so.1 )
( cd lib ; rm -rf libsplashy.so.1 )
( cd lib ; ln -sf libsplashy.so.1.0.0 libsplashy.so.1 )
( cd lib ; rm -rf libsplashycnf.so )
( cd lib ; ln -sf libsplashycnf.so.1.0.0 libsplashycnf.so )
( cd lib ; rm -rf libsplashy.so )
( cd lib ; ln -sf libsplashy.so.1.0.0 libsplashy.so )
